M_LOCK(3P)

NAME
m_lock, m_unlock - lock, unlock locks

SYNOPSIS

C syntax:

#include <parallel/microtask.h>
m_lock ();
m_unlock ();

Pascal syntax

procedure m_lock ;
cexternal ;
procedure m_unlock ;
cexternal ;

FORTRAN syntax

subroutine m_lock()
subroutine m_unlock()

DESCRIPTION
The m_lock and m_unlock routines are microtasking interfaces to a single slock_t-type lock. For a single lock, they are easier to use than the s_init_lock, s_lock, and s_unlock routines because they don't require you to declare or initialize the lock before using it. They are also faster than the other routines because they do not pass the lock address as an argument.

m_lock locks the lock. m_lock is always successful; it spins as long as is necessary to acquire the lock.

m_unlock unlocks the lock.

SEE ALSO
intro(3P), s_lock(3P), shmalloc(3P), Guide to Parallel Programming

BUGS
m_lock and m_unlock are declared as integer functions, but do not in fact return a value.